Last Comment Bug 563580 - create landing page for Firefox Sync
: create landing page for Firefox Sync
Status: VERIFIED FIXED
: verified-production
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Steven Garrity [:sgarrity]
: www-mozilla-com
:
Mentors:
http://www.mozilla.com/en-US/firefox/...
Depends on:
Blocks: 563516
  Show dependency treegraph
 
Reported: 2010-05-03 21:51 PDT by John Slater
Modified: 2012-08-23 00:16 PDT (History)
11 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
.ppt version (700.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-05-03 21:54 PDT, My
no flags Details
.pdf version (346.54 KB, application/pdf)
2010-05-03 21:54 PDT, My
no flags Details
Final copy on behalf of Mayumi (134.26 KB, application/pdf)
2010-05-04 14:58 PDT, Ragavan S [:rags]
no flags Details
Updated Sync image (63.12 KB, image/png)
2010-05-06 09:13 PDT, Sean Martell
no flags Details

Description John Slater 2010-05-03 21:51:14 PDT
Hey Steven. As discussed last week, we'd like to create a new mozilla.com page for the Firefox Sync (formerly known as Weave) add-on. Similar to the Account Manager page you did recently, it won't be part of the main nav at first, but will most likely get added to the upcoming section of Fx4 beta pages.

Copy will be coming soon. Visually, it should be modeled on mobile's sync page (http://www.mozilla.com/en-US/mobile/sync/). We'll supply a new hero image as well.

Stay tuned for more details...thanks!
Comment 1 My 2010-05-03 21:54:02 PDT
Created attachment 443287 [details]
.ppt version
Comment 2 My 2010-05-03 21:54:46 PDT
Created attachment 443288 [details]
.pdf version

Let me know if you need the copy in Word or .txt file to make it easier to cut and paste.  Thanks
Comment 3 Steven Garrity [:sgarrity] 2010-05-04 07:23:58 PDT
This page is setup in trunk in r66785. For now, it still has the mobile sync page feature image. I used the existing Weave Sync add-on link - is that correct?

Preview here: http://www-trunk.stage.mozilla.com/en-US/firefox/sync/
Comment 4 Steven Garrity [:sgarrity] 2010-05-04 12:42:27 PDT
Also, is someone else providing the new feature image for this page? I was given that impression, but want to confirm in case we're both waiting on each other.
Comment 5 Ragavan S [:rags] 2010-05-04 12:46:23 PDT
I've asked Sean Martell to help you with the new image.
Comment 6 Ragavan S [:rags] 2010-05-04 12:55:00 PDT
Actually, turns out Alex Faaborg is the right person. cc:ing him.
Comment 7 Ragavan S [:rags] 2010-05-04 14:58:17 PDT
Created attachment 443455 [details]
Final copy on behalf of Mayumi
Comment 8 Steven Garrity [:sgarrity] 2010-05-06 06:04:27 PDT
Updated copy added in r66907. Just need the image.
Comment 9 Steven Garrity [:sgarrity] 2010-05-06 06:06:32 PDT
I just noticed the updated copy has a Frequently Asked Questions link in the bottom right. Is there a Sync-specific FAQ page?
Comment 10 Sean Martell 2010-05-06 09:13:25 PDT
Created attachment 443887 [details]
Updated Sync image

updated the PNG with the latest logo.
Comment 11 Ragavan S [:rags] 2010-05-07 11:54:33 PDT
(In reply to comment #10)
> Created an attachment (id=443887) [details]
> Updated Sync image
> 
> updated the PNG with the latest logo.

What's the status of the page? http://www-trunk.stage.mozilla.com/en-US/firefox/sync/ shows the Mobile page for me.
Comment 12 Steven Garrity [:sgarrity] 2010-05-07 12:21:18 PDT
(In reply to comment #11)
> What's the status of the page?
> http://www-trunk.stage.mozilla.com/en-US/firefox/sync/ shows the Mobile page
> for me.

The page is ready except for the main feature image (which I'm waiting on). Should I just be using the Sync logo attached here on its own or is a more elaborate image coming?
Comment 13 Ragavan S [:rags] 2010-05-10 16:30:51 PDT
Hey, 

So there are a few changes that need to be made to the current draft:

* Change "Access your history, bookmarks and even open tabs across all your devices." to:
"Access your history, passwords, bookmarks and even open tabs across all your devices."

* Move "Learn about Firefox Sync on your phone" to the bottom of the box under Security.

* Add a link to Frequently Asked Questions after the install steps. (See attached copy for details)

* Installation step 2 is incorrect. Replace with the text in attached copy.

* Add a Download Firefox 3.6 button after the FAQ link.

* Replace the logo with the image attached.
Comment 14 Steven Garrity [:sgarrity] 2010-05-11 12:23:27 PDT
(In reply to comment #13)

The changes in comment #13 are done in trunk in r67075 except for the following two:

> * Add a link to Frequently Asked Questions after the install steps. (See
> attached copy for details)
I don't know where to link this (see comment #9).

> * Replace the logo with the image attached.
Should the entire feature image be replaced with the plain sync logo, or should the existing image be used (phone, lightning, etc.) but with the weave-logo replaced with the circular sync logo?

I was under the impression that a completed header image would be provided. It's fine if it's not, but I'll need to know that.
Comment 15 My 2010-05-12 14:59:08 PDT
The entire feature image should be replaced with the plain sync logo. 
Ragavan is getting the link to the FAQs
Comment 16 Steven Garrity [:sgarrity] 2010-05-13 06:44:21 PDT
Thanks, logo added in r67148. Will add the FAQ link when I get the URL.
Comment 17 raymond [:retornam] (inactive) 2010-05-13 09:16:28 PDT
What about this page http://www-trunk.stage.mozilla.com/en-US/mobile/sync/ it still says Weave Sync
Comment 18 My 2010-05-13 09:19:15 PDT
I believe Caitlin (Mobile PMM) is updating this, she has seen the FIrefox Sync page and is going to update the mobile sync page as needed.
Comment 19 raymond [:retornam] (inactive) 2010-05-13 09:47:04 PDT
http://www.mozilla.com/en-US/press/images.html 
The weave logo on this page also has to be updated.
I am going to file a bug  that contains the links to all pages on mozilla.com that  either use the old logo or make metion of Weave Sync and add  that bug as a dependency to this bug.
Comment 20 Verdi [:verdi] 2010-05-14 08:50:29 PDT
Here are the names and URLs for the SUMO articles (they don't exist yet):
What is Firefox Sync
https://support.mozilla.com/en-US/kb/What+is+Firefox+Sync

Fix problems with Firefox Sync
https://support.mozilla.com/en-US/kb/Fix+problems+with+Firefox+Sync

How do I sync Firefox settings between computers
https://support.mozilla.com/en-US/kb/How+do+I+sync+Firefox+settings+between+computers

How do I sync Firefox settings with a mobile device
https://support.mozilla.com/en-US/kb/How+do+I+sync+Firefox+settings+with+a+mobile+device
Comment 21 Steven Garrity [:sgarrity] 2010-05-14 08:53:49 PDT
(In reply to comment #20)
> Here are the names and URLs for the SUMO articles (they don't exist yet):

Where do these links go?
Comment 22 Verdi [:verdi] 2010-05-14 08:59:20 PDT
(In reply to comment #21)
> (In reply to comment #20)
> > Here are the names and URLs for the SUMO articles (they don't exist yet):
> 
> Where do these links go?

They don't go anywhere yet. The first two articles haven't been drafted yet and the other two need to be renamed and have references to Weave removed.
Comment 23 Verdi [:verdi] 2010-05-14 09:02:46 PDT
(In reply to comment #21)
> (In reply to comment #20)
> > Here are the names and URLs for the SUMO articles (they don't exist yet):
> 
> Where do these links go?

I'm sorry, If you meant where do they on this page -  http://www-trunk.stage.mozilla.com/en-US/firefox/sync/ - that I don't know.
Comment 24 Ragavan S [:rags] 2010-05-14 09:53:27 PDT
(In reply to comment #21)
> (In reply to comment #20)
> > Here are the names and URLs for the SUMO articles (they don't exist yet):
> 
> Where do these links go?

Steven - the original copy has a link pointing to Frequently Asked Questions. That link should point to the "What is Firefox Sync" article. 

David Tenser is going to update the bug with the URL that doesn't have the locale information in it. I suspect it will be something along the lines of https://support.mozilla.com/kb/What+is+Firefox+Sync , but I'll let David confirm.
Comment 25 David Tenser [:djst] 2010-05-14 10:19:01 PDT
Ragavan, that's exactly right. :) To clarify, this is the only article that will be directly linked to from the Sync page. The reason why we don't want the "en-US/" part is because we want to allow localized versions.

Just fyi, the other 3 articles mentioned in comment 20 will be linked to from that main "What is Firefox Sync?" article and their exact names might change slightly. Ragavan will review all content before this goes live next week.

What will be the exact copy for the link on http://www-trunk.stage.mozilla.com/en-US/firefox/sync/?
Comment 26 David Tenser [:djst] 2010-05-14 10:24:02 PDT
Oops, the link should be http://support.mozilla.com/kb/What+is+Firefox+Sync (don't use https please).
Comment 27 Steven Garrity [:sgarrity] 2010-05-14 12:04:39 PDT
FAQ link added in r67237.
Comment 28 Ragavan S [:rags] 2010-05-24 10:25:28 PDT
One more tweak:
Can we change the link in: "Install the free Firefox Sync Add-on". to point to:
"https://addons.mozilla.org/services/install.php?addon_id=firefox_sync" ? That link doesn't exist yet, but will work when we release 1.3.

ETA for release of 1.3 client is Wednesday (May 26).
Comment 29 Steven Garrity [:sgarrity] 2010-05-25 06:06:06 PDT
(In reply to comment #28)
> Can we change the link in: "Install the free Firefox Sync Add-on". to point to:
> "https://addons.mozilla.org/services/install.php?addon_id=firefox_sync"

There are two links to the add-on on the page ("Get the Free Firefox Sync Add-on Now" in the main feature area, and "Install the free Firefox Sync Add-on" in the sidebar). Should both of these links be updated?
Comment 30 Ragavan S [:rags] 2010-05-27 11:02:46 PDT
(In reply to comment #29)

> There are two links to the add-on on the page ("Get the Free Firefox Sync
> Add-on Now" in the main feature area, and "Install the free Firefox Sync
> Add-on" in the sidebar). Should both of these links be updated?

We decided not to update the links due to bug# 567699.
Comment 31 Steven Garrity [:sgarrity] 2010-05-27 11:25:06 PDT
Merged everything to stage in r67849. Files to be pushed are listed in that commit.
Comment 32 Alex Buchanan [:abuchanan] 2010-07-19 16:35:42 PDT
As far as I can tell, this page is already live, why is this bug open?
Comment 33 Stephen Donner [:stephend] 2010-07-19 16:44:57 PDT
Verified FIXED on prod: http://www.mozilla.com/en-US/firefox/sync/

Note You need to log in before you can comment on or make changes to this bug.